## NMDeviceGeneric

NMDeviceGeneric

## Functions

GQuark | nm_device_generic_error_quark ()
GObject * | nm_device_generic_new ()
const char * | nm_device_generic_get_hw_address ()

## Properties

gchar * | hw-address | Read
gchar * | type-description | Read

## Types and Values

enum | NMDeviceGenericError
#define | NM_DEVICE_GENERIC_ERROR
#define | NM_DEVICE_GENERIC_HW_ADDRESS
#define | NM_DEVICE_GENERIC_TYPE_DESCRIPTION

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceGeneric

## Description

## Functions

### nm_device_generic_error_quark ()

    GQuark
    nm_device_generic_error_quark (void);

Registers an error quark for NMDeviceGeneric if necessary.

#### Returns

the error quark used for NMDeviceGeneric errors.

Since: 0.9.10

### nm_device_generic_new ()

    GObject *
    nm_device_generic_new (DBusGConnection *connection,
                           const char *path);

Creates a new NMDeviceGeneric.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

Since: 0.9.10

### nm_device_generic_get_hw_address ()

    const char *
    nm_device_generic_get_hw_address (NMDeviceGeneric *device);

Gets the hardware address of the NMDeviceGeneric

#### Parameters

device | a NMDeviceGeneric |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 0.9.10

## Types and Values

### enum NMDeviceGenericError

#### Members

NM_DEVICE_GENERIC_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_GENERIC_ERROR_NOT_GENERIC_CONNECTION | the connection was not of generic type |
NM_DEVICE_GENERIC_ERROR_MISSING_INTERFACE_NAME | the connection did not specify the interface name |

### NM_DEVICE_GENERIC_ERROR

    #define NM_DEVICE_GENERIC_ERROR nm_device_generic_error_quark ()

### NM_DEVICE_GENERIC_HW_ADDRESS

    #define NM_DEVICE_GENERIC_HW_ADDRESS       "hw-address"

### NM_DEVICE_GENERIC_TYPE_DESCRIPTION

    #define NM_DEVICE_GENERIC_TYPE_DESCRIPTION "type-description"

## Property Details

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware address of the device.

Flags: Read

Default value: NULL

### The `“type-description”` property

      “type-description”         gchar *

A description of the specific type of device this is, or `NULL` if not known.

Flags: Read

Default value: NULL